Subject: bug#24786: 25.1; Misleading documentation/news for text-quoting-style

From: Eli Zaretskii <[email-masked]>
Date: Mon, 24 Oct 2016 23:13:42 +0300

> From: Vasilij Schneidermann <[email-masked]>
> Date: Mon, 24 Oct 2016 21:33:12 +0200
> 
> I've just fixed a complex Emacs Lisp program using `error' in batch mode
> where messages of the "Exception: 'foo'" kind were turned into
> "Exception: ‘foo’", leading to a crash in the test rig written in as it
> did not expect non-ASCII output.  I find this inacceptable behavior.
> Why should printing one thing print something entirely different from
> what has been specified?
> 
> I've learned that there is a `text-quoting-style' variable that controls
> this behavior, however both its docstring and the corresponding news
> entry suggest that there is no way to disable the post-processing.  On
> top of that they don't mention that the simplest way to make things look
> like they previously did is to set it to `grave`.  Is there any reason
> this is not documented?  More importantly, if that is the truth, why is
> there no flag to disable that post-processing?

Did you look at the state of affairs on the emacs-25 branch?  If not,
please do: I think at least some of these problems were fixed there.
If they are still not fixed, or you cannot figure out how to fix them,
please tell the details: where did you read or saw behavior that
disallows turning off the conversion of quotes.  FWIW, I see this in
the doc string:

  ‘grave’ means quote with grave accent and apostrophe `like this'.

which seems to be what you want, no?